package com.kingdee.eas.custom.facade.passports;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class PassportsFacdeFactory
{
    private PassportsFacdeFactory()
    {
    }
    public static com.kingdee.eas.custom.facade.passports.IPassportsFacde getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.facade.passports.IPassportsFacde)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("982CE251") ,com.kingdee.eas.custom.facade.passports.IPassportsFacde.class);
    }
    
    public static com.kingdee.eas.custom.facade.passports.IPassportsFacde getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.facade.passports.IPassportsFacde)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("982CE251") ,com.kingdee.eas.custom.facade.passports.IPassportsFacde.class, objectCtx);
    }
    public static com.kingdee.eas.custom.facade.passports.IPassportsFacde getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.facade.passports.IPassportsFacde)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("982CE251"));
    }
    public static com.kingdee.eas.custom.facade.passports.IPassportsFacde getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.facade.passports.IPassportsFacde)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("982CE251"));
    }
}